Skip to main content
`Ctrl`+`K`

# PetscObjectIncrementTabLevel

Increments the number of tabs that `PETSCVIEWERASCII` output for that object use based on the tablevel of another object. This should be called immediately after the object is created.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectIncrementTabLevel(PetscObject obj, PetscObject oldobj, PetscInt tab)

Not Collective

## Input Parameters

- obj - any PETSc object where we are changing the tab

- oldobj - the object providing the tab, optional pass `NULL` to use 0 as the previous tablevel for `obj`

- tab - the increment that is added to the old objects tab

## Note

this is used to manage the output from options that are embedded in other objects. For example the `KSP` object inside a `SNES` object. By indenting each lower level further the hierarchy of objects is clear.

## See Also

`PETSCVIEWERASCII`, `PetscObjectSetTabLevel()`, `PetscObjectGetTabLevel()`

## Level

developer

## Location

src/sys/objects/gcomm.c

## Examples

src/ts/tutorials/ex77.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages